## Class Mouse

- java.lang.Object
- - Mouse

    public class Mouse
    extends java.lang.Object

### Constructor Summary

Constructors
`Mouse​(java.lang.String path, int windowWidth, int windowHeight)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `assignPathsToGrid​(java.util.ArrayList<MousePath> mousePaths)`
`void` `displayPaths​()`
`int[]` `getGridIndex​(int deltaX, int deltaY)`
`int[]` `getMouseLocation​()`
`void` `moveMouse​(int endingX, int endingY)` Moves mouse in a human-like way by finding a similar path from the past and slightly transforming it.
`java.util.ArrayList<MousePath>` `readFile​(java.lang.String path)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Mouse

    public Mouse​(java.lang.String path,
                 int windowWidth,
                 int windowHeight)

### Method Detail

#### moveMouse

    public void moveMouse​(int endingX,
                          int endingY)

Moves mouse in a human-like way by finding a similar path from the past and slightly transforming it.

Parameters:
  `endingX` - X coordinate of the ending location.
  `endingY` - Y coordinate of the ending location.

#### getMouseLocation

    public int[] getMouseLocation​()

#### getGridIndex

    public int[] getGridIndex​(int deltaX,
                              int deltaY)

#### assignPathsToGrid

    public void assignPathsToGrid​(java.util.ArrayList<MousePath> mousePaths)

#### readFile

    public java.util.ArrayList<MousePath> readFile​(java.lang.String path)

#### displayPaths

    public void displayPaths​()